Subject: Re: bug#19828: [PATCH] eval.c: couldn't make closures

From: Nicolas Richard <[email-masked]>
Date: Tue, 10 Feb 2015 12:17:39 +0100

Hello,

尾崎 成一 <[email-masked]> writes:
> The following code doesn't work because doesn't create any lexical
> environment correctly in Emacs 24.4.1.

I think this is not a bug. In order for emacs to create closures, you
need to enable lexical-binding (usually done via a file local variable
at the top of the file, e.g. using add-file-local-variable-prop-line).

See (info "(elisp) Closures").

HTH,

-- 
Nicolas Richard